## $Id: export.py 12270 2014-12-20 16:36:18Z henrik $
##
## Copyright (C) 2014 Uli Fouquet & Henrik Bettermann
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
##
"""Exporters for skeleton customer objects and subobjects.
"""
import grok
from waeup.ikoba.utils.helpers import iface_names
from waeup.ikoba.customers.export import (
    CustomerExporter, CustomerDocumentExporterBase, ContractExporterBase)
from ikobacustom.skeleton.customers.interfaces import (
    ISkeletonCustomer, ISkeletonCustomerDocument, ISkeletonContract)
from ikobacustom.skeleton.interfaces import MessageFactory as _


class SkeletonCustomerExporter(CustomerExporter):
    """Exporter for Customers.
    """
    iface = ISkeletonCustomer
    title = _(u'Skeleton Customers')


class SkeletonCustomerDocumentExporter(CustomerDocumentExporterBase):
    """Exporter for documents.
    """
    grok.name('skeletoncustomerdocuments')
    iface = ISkeletonCustomerDocument
    title = _(u'Skeleton Customer Documents')
    class_name = 'SkeletonCustomerDocument'


class SkeletonContractExporter(ContractExporterBase):
    """Exporter for Contract instances.
    """
    grok.name('skeletoncontracts')
    iface = ISkeletonContract
    title = _(u'Skeleton Contracts')
    class_name = 'SkeletonContract'
